define(['underscore', 'backbone', 'helpers/string', 'context', 'models/user'],
    function (_, Backbone, string, Context, User) {
      return Backbone.Model.extend({
        url: function () {
          if (this.get('id')) {
            return "/connection/%s".format(this.get("id"));
          }
          return "/connection/create";
        },
        defaults: {
          connection: {},
          charsets: [],
          user: {},
          ssl: false
        },
        // connection has additional data: charsets and logged in user
        parse: function (res) {

          var user_id = null;

          if (res.user) {
            Context.user = new User(res.user);
          }

          if (res.charsets) {
            Context.charsets = res.charsets;
          }

          // context user can be set previously without res.user being present
          if (Context.user) {
            user_id = Context.user.get("id");
          }

          if (res.connection) {
            // parse connections and add is_owner property
            res.connection.is_owner = res.connection.user_id === user_id;
            return res.connection;
          }

          return res;
        },
        abs_url: function () {
          if (this.get('id')) {
            var url_params = {section: Context.section, id: this.get("id")};
            return "/content/%(section)s/%(id)s".format(url_params);
          }
        }
      });
    });
