define(['underscore', 'backbone', 'helpers/string'],
    function (_, Backbone, string) {
        var Embed = Backbone.Model.extend({
            urlRoot: "/embed/data",
            parse: function (data) {
                if (data.settings && !_.isObject(data.settings)) { 
                    try {
                        data.settings = JSON.parse(data.settings);
                    } catch (e) {
                        // probably not json
                        console.log("parsing json failed:", e);
                    }
                }
                return data;
            },
            defaults: {
                title: "Untitled chart",
                query: null,
                settings: {},
                db: null,
                conn: null
            }
        });
        return Embed;
    });
