define(['models/connection'], function (Connection) {
    describe("Connection", function () {
        it("should get correct url with connection id", function () {
            var c = new Connection({id: 9});
            expect(c.url()).toBe("/connection/9");
        });
        it("url should be different when id is not set", function () {
            var c = new Connection();
            expect(c.url()).toBe("/connection/create");
        });
        it("should set default values on init", function () {
            var c1 = new Connection();
            expect(c1.get("title")).toBe(undefined);
            expect(c1.get("id")).toBe(undefined);

            var c2 = new Connection({title: "Foo Bar"});
            expect(c2.get("title")).toBe("Foo Bar");
            expect(c2.get("id")).toBe(undefined);
        });
    });
});
