define(['jquery', 'underscore', 'backbone', 'tpls', 'events',
        'collections/history/queries', 'models/history/query'],
    function($, _, Backbone, Templates, Events, HistoryQueries, HistoryQuery) {
        var HistoryItem = Backbone.View.extend({
            template: Templates["content/query/history/item"],
            tagName: "li",
            initialize: function () {
            },
            events: {
              "click a": "loadQuery"
            },
            render: function() {
                this.$el.html(this.template({query: this.model.toJSON()}));
                return this;
            },
            loadQuery: function (e) {
              if (e) { e.preventDefault(); }
              Events.trigger("query:load", this.model);
            }
        });
        return HistoryItem;
    });
