define([ 'jquery', 'underscore', 'backbone', 'handlebars', 'context', 'events', 'tpls'],
    function ($, _, Backbone, Handlebars, Context, Events, Templates) {
        var UpdateMenuView = Backbone.View.extend({
            tagName: "li",
            className: "pull-right action-tab dropdown update-menu",
            template: Templates["update_menu"],
            initialize: function () {
              _.bindAll(this, "showUpdateModal");
            },
            render: function () {
                this.$el.html(this.template(this.model.toJSON()));
                return this;
            },
            events: {
                "click a": "showUpdateModal"
            },
            showUpdateModal: function (e) {
                e.preventDefault();
                this.$(".update-modal").modal();
            }
        });
        return UpdateMenuView;
    });
