define([ 'jquery', 'underscore', 'backbone', 'handlebars', 'context', 'events', 'tpls'],
    function ($, _, Backbone, Handlebars, Context, Events, Templates) {
        var LicenseTableItem = Backbone.View.extend({
            tagName: "tr",
            template: Templates["user/license_table_item"],
            initialize: function (model) {
                this.model = model;
                _.bindAll(this, "deleteLicense");
            },
            render: function () {
                var data = this.model.toJSON();
                this.$el.html(this.template(this.model.toJSON()));
                return this;
            },
            events: {
                "click .delete": "deleteLicense"
            },
            deleteLicense: function (e) {
                e.preventDefault();
                if (window.confirm("Are you sure?")) {
                    console.log("deleting license...", this.model.toJSON());
                    this.model.destroy();
                    this.remove();
                }
            }
        });
        return LicenseTableItem;
    });
